Kdenlive   bug tracker Home page

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000698KdenliveUser Interfacepublic2009-03-02 01:102010-02-02 10:38
Reportertoohes 
Assigned Toj-b-m 
PrioritynormalSeveritycrashReproducibilitysometimes
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version0.7.2 
Target VersionFixed in Version0.7.6 
Summary0000698: Crash in KdenliveDoc::saveSceneList in
DescriptionCrash during trying to save project
Additional InformationGentoo ~amd64
kdenlive 0.7.2.1
qt 3.3.8b-r1

*** glibc detected *** kdenlive: corrupted double-linked list: 0x0000000001591020 ***
======= Backtrace: =========
/lib/libc.so.6[0x7fc87cabb1d8]
/lib/libc.so.6[0x7fc87cabcf29]
/lib/libc.so.6(__libc_malloc+0x98)[0x7fc87cabee28]
/usr/lib64/qt4/libQtCore.so.4(_ZN10QByteArray6resizeEi+0xdd)[0x7fc87e2b746d]
/usr/lib64/qt4/libQtCore.so.4(_ZN16QIODevicePrivateC2Ev+0x1ea)[0x7fc87e330eaa]
/usr/lib64/qt4/libQtCore.so.4[0x7fc87e32a802]
/usr/lib64/qt4/libQtCore.so.4(_ZN5QFileC1ERK7QString+0x2e)[0x7fc87e32abae]
kdenlive(_ZN11KdenliveDoc13saveSceneListERK7QString12QDomDocument+0xf13)[0x4d5009]
kdenlive(_ZN11KdenliveDoc12slotAutoSaveEv+0x605)[0x4d5b99]
kdenlive(_ZN11KdenliveDoc11qt_metacallEN11QMetaObject4CallEiPPv+0x19a)[0x4d5db2]
/usr/lib64/qt4/libQtCore.so.4(_ZN11QMetaObject8activateEP7QObjectiiPPv+0x275)[0x7fc87e398ce5]
/usr/lib64/qt4/libQtCore.so.4(_ZN7QObject5eventEP6QEvent+0xb3)[0x7fc87e395413]
/usr/lib64/qt4/libQtGui.so.4(_ZN19QApplicationPrivate13notify_helperEP7QObjectP6QEvent+0xbd)[0x7fc87d6edcdd]
/usr/lib64/qt4/libQtGui.so.4(_ZN12QApplication6notifyEP7QObjectP6QEvent+0x9a)[0x7fc87d6f55ba]
/usr/lib64/libkdeui.so.5(_ZN12KApplication6notifyEP7QObjectP6QEvent+0x3b)[0x7fc87fff4f8b]
/usr/lib64/qt4/libQtCore.so.4(_ZN16QCoreApplication14notifyInternalEP7QObjectP6QEvent+0x83)[0x7fc87e386b53]
/usr/lib64/qt4/libQtCore.so.4[0x7fc87e3aea2e]
/usr/lib64/qt4/libQtCore.so.4[0x7fc87e3abacd]
/usr/lib/libglib-2.0.so.0(g_main_context_dispatch+0x232)[0x7fc8783b6122]
/usr/lib/libglib-2.0.so.0[0x7fc8783b983d]
/usr/lib/libglib-2.0.so.0(g_main_context_iteration+0x6b)[0x7fc8783b99fb]
/usr/lib64/qt4/libQtCore.so.4(_ZN20QEventDispatcherGlib13processEventsE6QFlagsIN10QEventLoop17ProcessEventsFlagEE+0x4f)[0x7fc87e3aba3f]
/usr/lib64/qt4/libQtGui.so.4[0x7fc87d772aff]
/usr/lib64/qt4/libQtCore.so.4(_ZN10QEventLoop13processEventsE6QFlagsINS_17ProcessEventsFlagEE+0x32)[0x7fc87e385552]
/usr/lib64/qt4/libQtCore.so.4(_ZN10QEventLoop4execE6QFlagsINS_17ProcessEventsFlagEE+0xd5)[0x7fc87e3856e5]
/usr/lib64/qt4/libQtCore.so.4(_ZN16QCoreApplication4execEv+0xb4)[0x7fc87e3876c4]
kdenlive(main+0xf88)[0x470948]
/lib/libc.so.6(__libc_start_main+0xe6)[0x7fc87ca615c6]
kdenlive[0x46b229]
======= Memory map: ========
00400000-006d6000 r-xp 00000000 08:05 3673947 /usr/bin/kdenlive
008d5000-008d6000 r--p 002d5000 08:05 3673947 /usr/bin/kdenlive
008d6000-008da000 rw-p 002d6000 08:05 3673947 /usr/bin/kdenlive
008da000-02ca9000 rw-p 008da000 00:00 0 [heap]
7fc854000000-7fc8559b5000 rw-p 7fc854000000 00:00 0
7fc8559b5000-7fc858000000 ---p 7fc8559b5000 00:00 0
7fc85c000000-7fc85c02f000 rw-p 7fc85c000000 00:00 0
7fc85c02f000-7fc860000000 ---p 7fc85c02f000 00:00 0
7fc864132000-7fc864136000 r-xp 00000000 08:05 3136708 /usr/lib64/gtk-2.0/2.10.0/loaders/libpixbufloader-jpeg.so
7fc864136000-7fc864336000 ---p 00004000 08:05 3136708 /usr/lib64/gtk-2.0/2.10.0/loaders/libpixbufloader-jpeg.so
7fc864336000-7fc864337000 r--p 00004000 08:05 3136708 /usr/lib64/gtk-2.0/2.10.0/loaders/libpixbufloader-jpeg.so
7fc864337000-7fc864338000 rw-p 00005000 08:05 3136708 /usr/lib64/gtk-2.0/2.10.0/loaders/libpixbufloader-jpeg.so
7fc864338000-7fc86433a000 r--p 00000000 08:05 3160598 /usr/share/fonts/75dpi/helvR10-ISO8859-1.pcf.gz
7fc8643a3000-7fc864fa5000 rw-p 7fc8643a3000 00:00 0
7fc864fa5000-7fc864fa6000 ---p 7fc864fa5000 00:00 0
7fc864fa6000-7fc8657a6000 rw-p 7fc864fa6000 00:00 0
7fc8657a6000-7fc8657a7000 ---p 7fc8657a6000 00:00 0
7fc8657a7000-7fc865fa7000 rw-p 7fc8657a7000 00:00 0
7fc866107000-7fc866170000 rw-s 00000000 00:07 53280775 /SYSV00000000 (deleted)
7fc866170000-7fc866189000 r--s 00000000 08:05 539978 /usr/share/mime/mime.cache
7fc866189000-7fc86618a000 r--s 00000000 08:06 1357876453 /home/gpg/.local/share/mime/mime.cache
7fc86618b000-7fc86678d000 rw-p 7fc86618b000 00:00 0
7fc866790000-7fc8667e9000 r-xp 00000000 08:05 2656001 /usr/lib64/libtiff
Program received signal SIGABRT, Aborted.
TagsNo tags attached.
Build/Install MethodDistribution package
Attached Files

- Relationships
child of 0000687closedj-b-m Qt 4.5: unable to save project 

-  Notes
(0002483)
toohes (reporter)
2009-03-02 01:18
edited on: 2009-03-02 01:47

It looks as double of 0000687

I installed qt-4.5.0_rc1.

How to reproduce now:
1. New project
2. Add Slideshow/color clip (in project tree only)
4. Save -> select filename -> crash

8<-------------------------------------
#0 0x00007fba60163af5 in raise () from /lib/libc.so.6
#1 0x00007fba6016555a in abort () from /lib/libc.so.6
0000002 0x00007fba601a29b0 in ?? () from /lib/libc.so.6
0000003 0x00007fba601a8377 in ?? () from /lib/libc.so.6
0000004 0x00007fba601aa8c6 in free () from /lib/libc.so.6
0000005 0x00007fba609f885d in operator delete () from /usr/lib/gcc/x86_64-pc-linux-gnu/4.3.3/libstdc++.so.6
0000006 0x00007fba62426511 in ?? () from /usr/lib64/qt4/libQtXml.so.4
0000007 0x00007fba624265c9 in ?? () from /usr/lib64/qt4/libQtXml.so.4
0000008 0x00007fba6242759a in ?? () from /usr/lib64/qt4/libQtXml.so.4
0000009 0x00007fba62427379 in ?? () from /usr/lib64/qt4/libQtXml.so.4
0000010 0x00007fba624275aa in ?? () from /usr/lib64/qt4/libQtXml.so.4
0000011 0x00007fba62427379 in ?? () from /usr/lib64/qt4/libQtXml.so.4
0000012 0x00007fba624275aa in ?? () from /usr/lib64/qt4/libQtXml.so.4
0000013 0x00007fba62427379 in ?? () from /usr/lib64/qt4/libQtXml.so.4
0000014 0x00007fba62427485 in ?? () from /usr/lib64/qt4/libQtXml.so.4
0000015 0x0000000000474f3a in MainWindow::saveFileAs ()
0000016 0x00000000004829cd in MainWindow::saveFileAs ()
0000017 0x0000000000482ad5 in MainWindow::saveFile ()
0000018 0x000000000048cfe5 in MainWindow::qt_metacall ()
0000019 0x00007fba61a86ce5 in QMetaObject::activate () from /usr/lib64/qt4/libQtCore.so.4
0000020 0x00007fba60dd6997 in QAction::triggered () from /usr/lib64/qt4/libQtGui.so.4
0000021 0x00007fba60dd7bf0 in QAction::activate () from /usr/lib64/qt4/libQtGui.so.4
0000022 0x00007fba61126f1a in ?? () from /usr/lib64/qt4/libQtGui.so.4
0000023 0x00007fba61127195 in QAbstractButton::mouseReleaseEvent () from /usr/lib64/qt4/libQtGui.so.4
0000024 0x00007fba611e494a in QToolButton::mouseReleaseEvent () from /usr/lib64/qt4/libQtGui.so.4
0000025 0x00007fba60e28c60 in QWidget::event () from /usr/lib64/qt4/libQtGui.so.4
0000026 0x00007fba60ddbcdd in QApplicationPrivate::notify_helper () from /usr/lib64/qt4/libQtGui.so.4
0000027 0x00007fba60de3d35 in QApplication::notify () from /usr/lib64/qt4/libQtGui.so.4
0000028 0x00007fba636e2f8b in KApplication::notify () from /usr/lib64/libkdeui.so.5
0000029 0x00007fba61a74b53 in QCoreApplication::notifyInternal () from /usr/lib64/qt4/libQtCore.so.4
0000030 0x00007fba60de51e8 in QApplicationPrivate::sendMouseEvent () from /usr/lib64/qt4/libQtGui.so.4
0000031 0x00007fba60e3e17c in ?? () from /usr/lib64/qt4/libQtGui.so.4
0000032 0x00007fba60e3d04d in QApplication::x11ProcessEvent () from /usr/lib64/qt4/libQtGui.so.4
0000033 0x00007fba60e61234 in ?? () from /usr/lib64/qt4/libQtGui.so.4
0000034 0x00007fba5baa7122 in g_main_context_dispatch () from /usr/lib/libglib-2.0.so.0
0000035 0x00007fba5baaa83d in ?? () from /usr/lib/libglib-2.0.so.0
0000036 0x00007fba5baaa9fb in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
0000037 0x00007fba61a99a3f in QEventDispatcherGlib::processEvents () from /usr/lib64/qt4/libQtCore.so.4
0000038 0x00007fba60e60aff in ?? () from /usr/lib64/qt4/libQtGui.so.4
0000039 0x00007fba61a73552 in QEventLoop::processEvents () from /usr/lib64/qt4/libQtCore.so.4
0000040 0x00007fba61a736e5 in QEventLoop::exec () from /usr/lib64/qt4/libQtCore.so.4
0000041 0x00007fba61a756c4 in QCoreApplication::exec () from /usr/lib64/qt4/libQtCore.so.4
0000042 0x0000000000470948 in main ()
8<-------------------------------------

(0002488)
administrator (administrator)
2009-03-03 09:18

Should be fixed in svn

- Issue History
Date Modified Username Field Change
2009-03-02 01:10 toohes New Issue
2009-03-02 01:10 toohes Build/Install Method => Distribution package
2009-03-02 01:18 toohes Note Added: 0002483
2009-03-02 01:26 toohes Note Edited: 0002483
2009-03-02 01:40 toohes Note Edited: 0002483
2009-03-02 01:47 toohes Note Edited: 0002483
2009-03-03 09:18 administrator Relationship added child of 0000687
2009-03-03 09:18 administrator Note Added: 0002488
2009-03-03 09:18 administrator Status new => feedback
2010-01-03 18:18 j-b-m Status feedback => resolved
2010-01-03 18:18 j-b-m Resolution open => fixed
2010-01-03 18:18 j-b-m Assigned To => j-b-m
2010-02-02 10:34 j-b-m Fixed in Version => 0.7.7
2010-02-02 10:37 j-b-m Fixed in Version 0.7.7 => 0.7.6
2010-02-02 10:38 j-b-m Status resolved => closed


Copyright © 2000 - 2014 MantisBT Team
Powered by Mantis Bugtracker